/* style css */

/* FONT */
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Lora:ital,wght@0,400..700;1,400..700&display=swap');
/*
font-family: "Josefin Sans", sans-serif;
font-family: "Lora", serif;
*/


/* KOLORY */
:root{
    --kolor-glowny: #2B2B2B;
    --kolor-uzupel: #8A38F5;
    --kolor-jasny: #FFFDF9;
    --kolor-sredni: #B4A3DA;
    --kolor-ciemny: #9475BF; 
}

/* GLOBALNE */
*{
    transition: 1s ease-in-out;
    box-sizing: border-box; 
}
html{
    scroll-behavior: smooth;
    /* font-size: 16px; */
    font-size: 10px; 
}
body{
    background-color: var(--kolor-glowny);
    font-size: 1.6rem;
    font-family: "Lora", serif;
    z-index: 1;
}

h1, h2, h3, h4, h5, h6{
    font-family: "Josefin Sans", sans-serif;
    /* display: block; */
}
h1{
    /* background-color: red; */
    color: var(--kolor-jasny);
    font-size: 4rem;
    font-weight: 400;
    text-transform: uppercase;
    padding: 2rem;
    text-align: center;
}
h2{
    /* background-color: rgb(255, 115, 0); */
    color: var(--kolor-jasny);
    font-size: 3rem;
    font-weight: 300;
    text-transform: uppercase;
    padding: 1rem;
    text-align: center;
}
h3{
    /* background-color: orange; */
    color: var(--kolor-sredni);
    font-size: 2rem;
    font-weight: 300;
    text-transform: uppercase;
    padding: 1rem;
    text-align: left;
}
h4{
    color: var(--kolor-sredni);
    font-weight: 300; 
    text-transform: lowercase;
    text-align: left;
}
h5{}
h6{
    color: var(--kolor-jasny);
}

p{
    /* background-color: rgb(255, 208, 0); */
    color: var(--kolor-jasny);
    line-height: 140%;
}
img{
    max-width: 50%;
    height: auto;
}
li{
    font-family: "Josefin Sans", sans-serif;
}

a{
    text-decoration: none;
    color: inherit;
    transition: 0.2s ease;
}
a:hover{
    color: var(--kolor-uzupel);
    transition: 0.2s ease;
}


/* linie */
.linie{
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: space-around;
    pointer-events: none;
    z-index: 0;
}
.linie span{
    width: 1px;
    height: 100%;
    background: rgb(180, 163, 218, 0.5);
}


/* NAV MOBILE */
.burger{
    display: none;
    position: fixed;
    top: 2rem;
    right: 2rem;

    background-color:rgb(138, 56, 245, 0.5);
    color: var(--kolor-jasny);
    font-size: 3rem;
    padding: .25rem 0.7rem .75rem;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(10px);

    cursor: pointer;

    /* kolejnosc warstw */
    z-index: 99;
}
.burger:hover{}
.nakladka{
    background-color: #161c22;
    opacity: .8;

    position: fixed;
    width: 0; 
    height: 100%;
    overflow: hidden;
    right: 0;

    z-index: 99;

    display: flex;
    justify-content: center;
    align-items: center;
}
.zamknijX{
    color: #e6e5dc;
    position: absolute;
    top: 2rem;
    right: 2rem;

    font-size: 3rem;
    padding: .5rem 1.2rem;
    cursor: pointer;
}
.zamknijX:hover{}
.nakladka ol{
    /* background-color: #699daa; */
    width: 100%;
}
.nakladka ol li{
    margin-bottom: 2vh;
}
.nakladka ol li a{
    background-color: var(--kolor-jasny);
    display: block;
    text-align: center;
    text-decoration: none;
    font-size: 2rem;
    padding: 1rem 0;
    color: var(--kolor-glowny);
}
.nakladka ol li a:hover{
    color: rgb(138, 56, 245);
    transition: 0.2s ease;
}
 

/* NAV DESKTOP */
nav{
    background-color: rgb(138, 56, 245, 0.3);
    /* padding: 1rem 5rem 1rem 5rem; */
    max-height: 60rem;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);

    display: flex;
    flex-direction: row;
    justify-content: center;

    position: fixed;
    width: 100%;
    z-index: 2;
}
nav .zawartosc{
    display: flex;
    flex-direction: row;
    justify-content: center;
    max-width: 1200px;
}
nav a{
    color: var(--kolor-jasny);
    text-decoration: none;
}
nav h1{
    /* background-color: aquamarine; */
    display: flex;
    align-items: left;
    padding: 1rem;
}
nav ol{
    display: flex;
    width: 100%;
    align-items: center;
    gap: 1rem;
}
nav ol li:first-child{
    margin-right: auto;
}
nav h1{
    font-size: 3.5rem;
}
nav h2{
    font-size: 2.5rem;
}


/* WSZYSTKIE SEKCJE */
section{
    /* background-color: pink; */
    scroll-margin-top: 3rem;
    min-height: 90vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    padding: 3rem;
}
.zawartosc{
    /* background-color: plum; */
    max-width: 1200px; /* 1200px lub 1400px*/
    width: 100%;

    display: flex;
    scroll-snap-type: x mandatory;
}
article{
    /* background-color: darkcyan; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;

    z-index: 1;
}


/* POSZCZEGÓLNE SEKCJE */

/* ABOUT */
#about{
    /* background-color: aqua; */
    background: url("../img/Pattern2.png");
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    background-attachment: fixed;
}
#about::before{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    pointer-events: none;
    
}
#about::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 200px;

    background: linear-gradient(
        to bottom,
        rgba(43,43,43,0) 0%,
        rgba(43,43,43,0.6) 60%,
        rgba(43,43,43,1) 85%
    );

    pointer-events: none;
    z-index: 0;
}
#about .zawartosc{
    /* background-color: aqua; */
    flex-direction: column;
    align-items: center;
    justify-content: center;

    position: relative;
    z-index: 1;
}
#about article{
    /* background-color: var(--kolor-ciemny); */
    position: relative;
    min-height: 500px;
}
#prost{
    display: flex;
    justify-content: center;
    background-color: rgba(148, 117, 191, 0.4);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(10px);
}
#prost:hover{
    background-color: rgb(138, 56, 245, 0.4);
}
#about p{
    /* background-color: var(--kolor-ciemny); */
    max-width: 700px;
    padding: 3rem;
}
#about img{
    position: absolute;

    right: 10%;
    bottom: 0;

    width: 250px;
    max-width: 30%;
}


/* DIGITAL */
#digital{
    scroll-margin-top: 3rem;
    width: 100%;
    overflow-x: hidden;
    position: relative;
}
#digital::before{
    content: "";
    position: absolute;
    top: -150px;
    left: 0;
    width: 100%;
    height: 150px;

    background: linear-gradient(
        to bottom,
        transparent,
        var(--kolor-glowny)
    );

    pointer-events: none;
    z-index: 0;
}

#digital .zawartosc{
    /* background-color: rgb(86, 174, 70); */
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 3rem;
}
#digital article{
    display: flex;
    flex-direction: row;
    /* flex-wrap: wrap; */
    align-items: center;
    justify-content: space-around;
    gap: 2rem;
    flex-wrap: nowrap;


    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
}
.seria{
    /* background-color: palegreen; */
    display: flex;
    flex-direction: column;
    max-width: 500px;
    padding: 3rem;
    box-sizing: border-box;

    flex: 1 1 50%;
    max-width: 50%;
}
#digital img{
    /* max-width: 100%;
    width: 100%; */
    flex: 1 1 50%;
    max-width: 50%;
    height: auto;
    display: block;
}
#digital p{}
#digital h3{}

#digital img{
    cursor: zoom-in;
}
#lightbox img{
    animation: zoomIn .25s ease;
}
@keyframes zoomIn{
    from{
        transform: scale(.8);
        opacity: 0;
    }
    to{
        transform: scale(1);
        opacity: 1;
    }
}

 /* LIGHTBOX */
#lightbox{
        position: fixed;
        inset: 0;

        background: rgb(43, 43, 43, 0.7);

        display: none;
        justify-content: center;
        align-items: center;

        z-index: 9999;
}
#lightbox.active{
        display: flex;
}
#lightbox img{
        max-width: 90vw;
        max-height: 90vh;
        width: auto;
        height: auto;
}
#lightbox .close{
        position: absolute;
        top: 2rem;
        right: 3rem;

        color: var(--kolor-jasny);
        font-size: 5rem;
        cursor: pointer;
}
#lightbox .close:hover{
    color: rgb(138, 56, 245);
    transition: 0.2s ease;
}

/* TRADITIONAL */
#traditional{    
    scroll-margin-top: 3rem;
    width: 100%;
    /* background-color: yellow; */
}
#traditional .zawartosc{
    /* background-color: orange; */
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 3rem;
}
#traditional article{
    /* background-color: green; */
    display: flex;
    flex-direction: column;
    padding: 1rem 0 1rem 0;
}

#colour{
    /* background-color: purple; */
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    margin: 0;
    padding: 0;
}
#three{
   display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    gap: 1rem;
}
#three img{
    flex: 1;
    min-width: 0;
    max-width: calc((100% - 3rem) / 3);
    height: auto;
    display: block;
}
#colour figure{
    /* background-color: blue; */
    display: flex;
    flex-direction: row;
    /* flex-wrap: wrap; */
    align-items: flex-start;
    width: 100%;

    gap: 1.5rem;
    /* padding: 1rem; */
}
#colour figure img{
    /* background-color: aqua; */
    display: block;
    object-fit: cover;
}
#one{
    /* background-color: aquamarine; */
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    max-width: 100%;
    flex: 1;
    /* flex-grow: 2; */
}
#one img{
    /* background-color: burlywood; */
    display: block;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    height: auto;
    margin: 0;
}
#two{
    /* background-color: brown; */
    display: flex;
    justify-content: center;
    gap: 1rem;
    max-width: 100%;
    flex: 1;
    padding: 0 0.5rem 0 0;
    /* margin-bottom: 1rem; */
    /* flex-grow: 3; */
}

#black{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    gap: 1.5rem;
}
#solo{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    flex: 0.7;
}
#solo img, #black .blur img{
    max-width: 100%;
    width: 100%;
    display: block;
}
#small{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.5rem;
}
#martwa{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    gap: 1rem;
}
#martwa img{
    flex: 1;
    min-width: 0;
    max-width: calc((100% - 3rem) / 3);
    height: auto;
    display: block;
}
#traditional .zawartosc #colour > img{
    /* background-color: pink; */
    flex: 0 1 calc((100% - 3rem) / 3);
    max-width: calc((100% - 3rem) / 3); */
    height: auto;
    display: block;
    object-fit: cover;
}
#traditional h3{
    /* background-color: aquamarine; */
    align-self: flex-start;
    text-align: left;
    width: 100%;
    padding-left: 0;
}

/* zdj i opis */
#colour .blur{
    width: 100%;
    background: url(../img/seulnocblur.png) no-repeat center / cover;
    background-blend-mode: overlay;
    /* background-color: aqua; */
    aspect-ratio: 3/2;
    /* flex: 0 0 100%; */
    /* width: 100%; */
    /* max-width: 100%; */
    display: flex;
    justify-content: center;
    align-items: center;
    /* overflow: hidden; */
    
    position: relative;

}
#black .blur{
    width: 100%;
    background: url(../img/tower3blur.png) no-repeat center / cover;
    background-blend-mode: overlay;
    aspect-ratio: 2/3;
    
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1.3;
    
    position: relative;
}
#black .blur img{
    width: 70%;      /* zmniejsza zdjęcie */
    max-width: none;
    position: relative;
}
#traditional .blur img{

    /* width: 100%; */
    /* height: auto; */
    /* display: block; */
    /* justify-content: center; */
    /* align-items: center; */
}
#small .blur{
    /* background-color: aqua; */
    width: 100%;
    background-blend-mode: overlay;
    display: flex;
    justify-content: center;
    align-items: center;
    /* overflow: hidden; */
    
    position: relative;
    flex-wrap: nowrap;
    gap: 0.5rem;
}
#small .blur img{
    flex: 1;
    width: 0;
    object-fit: contain;
}
#traditional .opis{
    /* max-width: 50%; */
    position: absolute;
    left: 50%;
    inset: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    padding: 1.5rem;

    /* background: rgba(0,0,0,0.75); */
    color: white;

    text-align: center;
    box-sizing: border-box;

    opacity: 0;
    transition: opacity 0.3s ease;
}
#traditional .blur:hover .opis{
    opacity: 1;
}
#traditional .blur:hover img{
    filter: blur(10px);
}
#traditional .opis p{
    margin: 0;
    max-width: 40%;
}
#small .opis p{
    margin: 0;
    max-width: 90%;
}


/* TRADITIONAL mobile */
#traditionalmobile{
    display: none;
}
#traditionalmobile{    
    width: 100%;
    /* background-color: yellow; */
}
#traditionalmobile .zawartosc{
    /* background-color: orange; */
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 3rem;
}
#traditionalmobile article{
    /* background-color: green; */
    display: flex;
    flex-direction: column;
    gap: 2rem;
}


/* ORIGINAL CHARACTER */
#oc{
    scroll-margin-top: 3rem;
    padding: 0 0 3rem 0;
}
#oc .zawartosc{
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center; 
}
#oc .zawartosc article{
    min-width: 0;
    display: flex;
    flex-direction: row;
    /* flex-wrap: wrap; */
    align-items: start;
    justify-content: center;
    padding: 1rem;
    gap: 3rem;
}
#name{
    /* background-color: chocolate; */
    max-width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    
}
.postac{
    /* background-color: midnightblue; */
    /* max-width: 300px; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 300px;
    gap: 2rem;

    scroll-margin-top: 100px;
}
#oc img{
    width: 100%;
    display: block;
    max-width: 700px;
}
#oc p{
    width: 100%;
    display: block;
}
#name h3:hover{
    color: var(--kolor-uzupel);
    transition: 0.2s ease;
} 

/* STOPKA */
#stopka{
    background-color: var(--kolor-uzupel);
    min-height: 40vh;
    /* padding: 0; */
    /* margin: 0; */
    
}
#stopka .zawartosc{
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 10rem;
}
#stopka article{
    /* background-color: aquamarine; */
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: flex-end;
    /* padding: 10rem 0 0 0; */
}
#stopka .info{
    /* background-color: brown; */
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
}
#stopka .info a{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 1rem;
    color: var(--kolor-jasny);
    font-family: "Lora", serif;
    text-decoration: none;
}
#stopka .info img{
    max-width: 50px;
    height: auto;
}
#maja a{
    /* background-color: red; */
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    
    color: var(--kolor-jasny);
    font-family: "Lora", serif;
    text-decoration: none;
    font-size: 1.3rem;
}
#stopka .info p:hover{
    color: var(--kolor-sredni);
    transition: 0.2s ease;
}

/* *********** RWD *********** */
/* od najwiekszej szerokosci do najmniejszej */
@media (max-width:1000px){} /*koniec 1000px*/

@media (max-width:600px){
    /* ukrywamy detoskop */
    
    /* nav{
        display: none;
    } */
    nav #nav li:not(:first-child){
        display: none;
    }
    nav #nav li:first-child{
        display: block;
        width: 100%;
        text-align: center;
    }

    section{
        padding: 1rem;
    }
    .zawartosc{
        gap: 1rem;
    }
    h1{
        font-size: 4rem;
    }
    h2{
        font-size: 3rem;
        padding: 20px;
    }
    h3{
        font-size: 2rem;
    }
    p{
        line-height: 130%;
    }

    .linie span{
        display: none;
    }
    .linie span:nth-child(1), .linie span:nth-child(2), .linie span:nth-child(3){
        display: block;
    }

    #traditional{
        display: none;
    }
    nav{
        background-color: rgb(138, 56, 245, 0);
        backdrop-filter: none;
        -webkit-backdrop-filter: none;
    }

/* odkrywamy mobile */
    .burger{
        display: block;
        z-index: 2;
    }
    #traditionalmobile{
        display: block;
    }

    nav h1{
    opacity: 0.6;
    }
    
    /* ABOUT */
    #about{
        flex: 0 1 100%;
    }


    /* DIGITAL */
    #digital{
        flex: 0 1 100%;
    }
    #digital article{
        display: flex;
        flex-direction: column;
    }
    #digital article img{
        order: 1;
        min-width: 350px;
    }
    #digital .seria{
        order: 2;
        max-width: 100%;
        flex: unset;
        width: 100%;
    }


    /* TRADITIONAL */
    #traditionalmobile{
        flex: 0 1 100%;
    }
    #colourmob, #blackmob, #smallmob{
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        overflow-x: scroll;
        /* overflow-y: hidden; */
        scroll-snap-type: x mandatory;
        position: relative;

        /* align-items: stretch; */

        gap: 1rem;
        /* padding: 0 1rem; */
    }
    #colourmob > *, #blackmob > *, #smallmob > *{
        flex: 0 0 100%;
        min-width: 100%;
        max-width: 100%;

        position: relative;
        /* z-index: 1; */

        scroll-snap-align: center;
    }
    
    #traditionalmobile img{
        flex: 0 0 100%;
        width: 100%;
        max-width: 100%;
        height: auto;

        object-fit: contain;
        display: block;

        scroll-snap-align: center;
    }
    
    #traditional .opis{
        display: none; /* hover i tak nie działa na mobile */
    }
     #small .blur img{
        flex: unset;
        width: 100%;
    }
    #solo{
        display: flex !important;
        flex-direction: row !important;
        flex-wrap: nowrap !important;

        width: 100%;
        gap: 1rem;
    }
    #solo img{
        flex: 0 0 100%;
        width: 100%;
        max-width: 100%;
        height: auto;
    }


    /* ORIGINAL CHARACTER */
    #oc{
        flex: 0 1 100%;
    }
    #oc .zawartosc{
        /* background-color: aquamarine; */
        /* display: block; */
    }
    #oc .zawartosc article{
        /* background-color: brown; */
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        /* overflow-x: scroll;
        scroll-snap-type: x mandatory; */
        padding: 1rem;
        gap: 3rem;

        scroll-snap-align: center;
    }
    #oc .postac{
        /* background-color: chartreuse; */
        flex: 0 0 100%;
        width: 100%;
        min-width: 100%;
        max-width: 100%;
        /* scroll-snap-align: start; */
        /* display: flex; */
        /* flex-direction: column; */
        /* align-items: center; */

        scroll-snap-align: center;
    }
    #stopka{
        display: flex;
        flex-direction: column;

        gap: -1rem;
    }
    #stopka .zawartosc{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: -1rem;
    }
    #stopka article{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 3rem 0 0 0;
        gap: 3rem;
    }
}